=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	## TODO patch out tests that rely on network via -test.short or
	## something (which doesn't appear to be used anywhere ATM, so might
	## be amenable as a PR to upstream)
	-dh_auto_test

override_dh_install:
	## Do not install "github.com/hashicorp/consul/command" to -dev package.
	dh_install -X/src/github.com/hashicorp/consul/command
