## consul 1.0.7~dfsg

=== debian/changelog ===
consul (1.0.7~dfsg-4) unstable; urgency=medium

  * More patches to disable failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Jun 2018 17:25:34 +1000

consul (1.0.7~dfsg-3) unstable; urgency=medium

  * Patchworks to fix/skip failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Jun 2018 16:09:23 +1000

consul (1.0.7~dfsg-2) unstable; urgency=medium

  * dev/Depends += "golang-github-hashicorp-go-rootcerts-dev".
  * Install .service file, create "consul" user; Depends += "adduser".
  * New patch to disable spuriously failing test.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Jun 2018 13:56:51 +1000

consul (1.0.7~dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release [April 2018].
    + fixed test failures (Closes: #871687).
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.1.4; Priority: optional
  * debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Jun 2018 21:04:29 +1000

consul (0.6.4~dfsg-4) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Correct the Vcs-Git and Vcs-Browser URL to the correct URI.

  [ Martín Ferrari ]
  * Add myself to Uploaders.
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * Add versioned dependency on golang-golang-x-sys-dev, to solve build
    issues in arm64.
  * Drop old package name in dependencies.
  * Disable test that runs so long it gets killed.
  * Disable tests that access the network.

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 10 Aug 2017 13:33:16 +0300
