## consul 1.0.7~dfsg1

=== debian/changelog ===
consul (1.0.7~dfsg1-5) unstable; urgency=medium

  * Install bash-completion(s).
  * .service hardening.
  * Install log_level.hcl conffile.
  * Install documentation.
  * postinst: chown "/var/lib/consul".
  * postinst: adduser improvements.
  * Disabled all tests (too slow; very unreliable).
  * Test with "-failfast" to abort on first failure.
  * Standards-Version: 4.2.0.
  * Un-bundled "golang-github-mitchellh-go-testing-interface-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Aug 2018 20:07:57 +1000
