=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: consul
 Section: devel
 Priority: optional
+Standards-Version: 4.2.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 11~) ,dh-golang ,golang-any
+Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
@@ -49,6 +50,7 @@
     ,golang-github-mattn-go-isatty-dev
     ,golang-github-miekg-dns-dev
     ,golang-github-mitchellh-cli-dev (>= 0.0~git20171129~)
+    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
@@ -60,7 +62,6 @@
     ,golang-github-sergi-go-diff-dev
     ,golang-github-shirou-gopsutil-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
-Standards-Version: 4.1.4
 Homepage: https://github.com/hashicorp/consul
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
 Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
