=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DH_GOLANG_INSTALL_EXTRA := test/
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
+	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build
 
 override_dh_clean:
 	dh_clean
@@ -14,7 +14,7 @@
 	-find vendor -type d -empty -delete -print
 
 override_dh_auto_test:
-	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test --max-parallel=3 -- -test.short
+#	PATH="$(CURDIR)/_build/bin:$${PATH}" dh_auto_test --max-parallel=3 -- -test.short -timeout 20m -failfast
 
 override_dh_install:
 	## Do not install "github.com/hashicorp/consul/vendor" to -dev package.
