=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 opts="\
 pgpmode=none,\
-repacksuffix=~dfsg,\
+repacksuffix=~dfsg1,\
 repack,compression=xz,\
 dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
 "  https://github.com/hashicorp/consul/releases \
