## consul 1.4.4~dfsg1

=== debian/changelog ===
consul (1.4.4~dfsg1-2) unstable; urgency=medium

  * Disabled few unreliable tests due to random failures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Oct 2019 11:44:13 +1100

consul (1.4.4~dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #912259).
  * Added missing B-Deps (Closes: #910714).
    Thanks, Steve Langasek.
  * Standards-Version: 4.4.1.
  * Added more config examples.
  * Added README.source with note about staying in sync with Nomad.
  * Re-enabled tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Oct 2019 21:02:23 +1100
