=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=~dfsg1,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/hashicorp/consul/releases?after=v1.5.2 \
   .*/archive/v?(\d[\d.]+)\.tar\.gz
