## consul 1.4.4~dfsg2

=== debian/changelog ===
consul (1.4.4~dfsg2-4) unstable; urgency=medium

  * Disabled more failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Nov 2019 08:18:21 +1100

consul (1.4.4~dfsg2-3) unstable; urgency=medium

  * rules: run "make proto" before build.
  * Run more tests and disable more randomly failing ones.
  * New patch to fix FTBFS with "golang-github-hashicorp-go-discover-dev".
  * Tighten dependencies versioning.
  * Added missing Build-Depends (Closes: #910714).
    Thanks, Steve Langasek.
  * Build-Depends:
    - golang-github-fsouza-go-dockerclient-dev
    - golang-github-jeffail-gabs-dev
    - golang-github-posener-complete-dev
    - golang-github-sergi-go-diff-dev
    = golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
    = golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
    + golang-github-ghodss-yaml-dev
    + golang-github-hashicorp-go-discover-dev
    + golang-github-jefferai-jsonx-dev
    + golang-github-spf13-pflag-dev
    + mockery

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Nov 2019 19:58:28 +1100
