=== debian/control ===
--- 
+++ 
@@ -7,13 +7,12 @@
            Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang ,golang-any
+Build-Depends: debhelper (>= 11~) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.13~)
     ,golang-github-asaskevich-govalidator-dev
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
     ,golang-github-azure-go-autorest-dev (>= 10.15.5~)
-#       ,golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~)
 #   ,golang-github-beorn7-perks-dev
     ,golang-github-bgentry-speakeasy-dev
     ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
@@ -24,7 +23,7 @@
     ,golang-github-digitalocean-godo-dev
     ,golang-github-docker-go-connections-dev
     ,golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~)
-    ,golang-github-fsouza-go-dockerclient-dev
+    ,golang-github-ghodss-yaml-dev
     ,golang-github-gogo-googleapis-dev
     ,golang-github-gogo-protobuf-dev (>= 1.2.1~)
     ,golang-github-golang-snappy-dev
@@ -33,12 +32,13 @@
     ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gregjones-httpcache-dev
     ,golang-github-hashicorp-go-checkpoint-dev
-    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20171219~)
+    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
+    ,golang-github-hashicorp-go-discover-dev
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
     ,golang-github-hashicorp-go-memdb-dev (>= 0.0~git20180224~)
-    ,golang-github-hashicorp-go-msgpack-dev
+    ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-multierror-dev
 #   ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-raftchunking-dev
@@ -61,8 +61,7 @@
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-imdario-mergo-dev
-#NEW,golang-github-jefferai-jsonx-dev
-      ,golang-github-jeffail-gabs-dev
+    ,golang-github-jefferai-jsonx-dev
     ,golang-github-json-iterator-go-dev
     ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
@@ -78,15 +77,14 @@
     ,golang-github-pascaldekloe-goe-dev
     ,golang-github-peterbourgon-diskv-dev
     ,golang-github-pmezard-go-difflib-dev
-    ,golang-github-posener-complete-dev
     ,golang-github-ryanuber-columnize-dev
     ,golang-github-ryanuber-go-glob-dev
-    ,golang-github-sergi-go-diff-dev
     ,golang-github-shirou-gopsutil-dev
+    ,golang-github-spf13-pflag-dev
     ,golang-github-vmware-govmomi-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
     ,golang-gopkg-inf.v0-dev
-#   ,mockery
+    ,mockery
 # tests:
     ,golang-github-sap-go-hdb-dev
 Homepage: https://github.com/hashicorp/consul
@@ -100,11 +98,11 @@
 Depends: ${misc:Depends}
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
-    ,golang-github-hashicorp-go-cleanhttp-dev
+    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
     ,golang-github-hashicorp-go-memdb-dev
-    ,golang-github-hashicorp-go-msgpack-dev
+    ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev
