=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-## needs "mockery" (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=940153)
-#export DH_GOLANG_GO_GENERATE := 1
+## needs "mockery":
+export DH_GOLANG_GO_GENERATE := 1
 
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
@@ -28,21 +28,28 @@
 	mkdir -v -p _build/src/github.com/SermoDigital/
 	ln -sv /usr/share/gocode/src/gopkg.in/square/go-jose.v1  _build/src/github.com/SermoDigital/jose
 
-#LIBSELF:=github.com/hashicorp/consul
-#override_dh_auto_build:
+LIBSELF:=github.com/hashicorp/consul
+override_dh_auto_build:
 #	## https://salsa.debian.org/onlyjob/notes/wikis/golang
 #	## "go generate" in "vendor":
-#	DH_GOLANG_EXCLUDES="github.com/hashicorp/consul/vendor/github.com/googleapis/gnostic/extensions github.com/envoyproxy/go-control-plane $(LIBSELF)/vendor/k8s.io/apimachinery/pkg github.com/hashicorp/vault github.com/hashicorp/go-plugin" \
-#	DH_GOPKG="github.com/hashicorp/consul/vendor" \
+#	DH_GOLANG_EXCLUDES="vendor/github.com/hashicorp/go-discover vendor/github.com/hashicorp/vault vendor/github.com/jefferai/jsonx" \
+#	DH_GOPKG="$(LIBSELF)/vendor" \
+#	DH_GOLANG_GO_GENERATE=1 \
 #	dh_auto_build -v
-#	cd _build && GOPATH=$(CURDIR)/_build go generate -v $(LIBSELF)/vendor
-#	sleep 8
-#	dh_auto_build
+#	
+	export GOPATH=$(CURDIR)/_build \
+        && $(MAKE) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
+	
+	dh_auto_build -v
 
+## Quoting upstream as per ".github/CONTRIBUTING.md":
+## > The test suite may fail if over-parallelized, so if you are seeing
+## > stochastic failures try `GOTEST_FLAGS="-p 2 -parallel 2".
+## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent" \
-        dh_auto_test --max-parallel=2 -- -test.short -timeout 20m -failfast
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/checks agent/connect agent/consul command/tls" \
+        dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 5m
 
 override_dh_install:
 	## Do not install "github.com/hashicorp/consul/vendor" to -dev package.
