## consul 1.4.4~dfsg3

=== debian/changelog ===
consul (1.4.4~dfsg3-5) unstable; urgency=medium

  * Disabled more unstable tests.
  * Remove vendored "github.com/vmware/vic".
  * Removed "golang-github-vmware-govmomi-dev" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 19 Nov 2019 10:36:32 +1100
