=== debian/control ===
--- 
+++ 
@@ -81,7 +81,6 @@
     ,golang-github-ryanuber-go-glob-dev
     ,golang-github-shirou-gopsutil-dev
     ,golang-github-spf13-pflag-dev
-    ,golang-github-vmware-govmomi-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
     ,golang-gopkg-inf.v0-dev
     ,mockery
