=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 opts="\
 pgpmode=none,\
-repacksuffix=~dfsg2,\
+repacksuffix=~dfsg3,\
 repack,compression=xz,\
 dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
 "  https://github.com/hashicorp/consul/releases?after=v1.5.2 \
