## consul 1.4.5+dfsg1

=== debian/changelog ===
consul (1.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Service hardening.
  * Introduced init script.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 28 Nov 2019 16:02:25 +1100
