=== debian/control ===
--- 
+++ 
@@ -83,6 +83,7 @@
     ,golang-github-spf13-pflag-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
     ,golang-gopkg-inf.v0-dev
+#   ,golang-gopkg-square-go-jose.v2-dev
     ,mockery
 # tests:
     ,golang-github-sap-go-hdb-dev
@@ -146,9 +147,11 @@
 
 Package: consul
 Architecture: any
+Built-Using: ${misc:Built-Using}
 Depends: ${misc:Depends}, ${shlibs:Depends}
     ,adduser
-Built-Using: ${misc:Built-Using}
+    ,pipexec
+    ,procps
 Description: tool for service discovery, monitoring and configuration
  Consul is a tool for service discovery and configuration. Consul is
  distributed, highly available, and extremely scalable.
