## consul 1.5.2+dfsg1

=== debian/changelog ===
consul (1.5.2+dfsg1-4) unstable; urgency=medium

  * Disabled few spontaneously failing tests.
  * Excluded "agent/cache" from testing.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 14:52:05 +1100

consul (1.5.2+dfsg1-3) unstable; urgency=medium

  * Disabled "TestHealthServiceNodes_Filter".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 13:20:52 +1100

consul (1.5.2+dfsg1-2) unstable; urgency=medium

  * copyright: removed obsolete paragraph.
  * Disabled unreliable tests following failures on various architectures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 08:11:06 +1100

consul (1.5.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "golang-gopkg-square-go-jose.v2-dev".
  * Added lintian-override for "field-too-long Built-Using".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 29 Nov 2019 19:14:00 +1100
