=== debian/control ===
--- 
+++ 
@@ -83,7 +83,7 @@
     ,golang-github-spf13-pflag-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
     ,golang-gopkg-inf.v0-dev
-#   ,golang-gopkg-square-go-jose.v2-dev
+    ,golang-gopkg-square-go-jose.v2-dev
     ,mockery
 # tests:
     ,golang-github-sap-go-hdb-dev
