=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
     command/connect/ca/set/test-fixtures \
     test
 
-#export DH_GOLANG_EXCLUDES :=
+export DH_GOLANG_EXCLUDES := test/integration
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build
@@ -18,6 +18,7 @@
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
 #	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
 	-find vendor -type d -empty -delete -print
+	$(RM) -r test/integration
 
 override_dh_auto_configure:
 	dh_auto_configure
@@ -48,7 +49,7 @@
 ## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/checks agent/connect agent/consul command/tls" \
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul command/tls" \
         dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 5m
 
 override_dh_install:
